org.modeshape.jcr.query

## Class QueryBuilder.ComparisonBuilder

- java.lang.Object
- - org.modeshape.jcr.query.QueryBuilder.ComparisonBuilder

- Enclosing class:
    QueryBuilder

      public class QueryBuilder.ComparisonBuilder
      extends Object

  An interface used to set the right-hand side of a constraint.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected QueryBuilder.ConstraintBuilder` | `constraintBuilder`
    `protected DynamicOperand` | `left`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `QueryBuilder.ComparisonBuilder(QueryBuilder.ConstraintBuilder constraintBuilder, DynamicOperand left)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected StaticOperand` | `adapt(Object literalOrSubquery)`
    `QueryBuilder.RightHandSide` | `is(Operator operator)` Define the operator that will be used in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
    `QueryBuilder.ConstraintBuilder` | `is(Operator operator, Object literalOrSubquery)` Define the right-hand-side of the constraint using the supplied operator.
    `QueryBuilder.ConstraintBuilder` | `is(Operator operator, QueryCommand subquery)` Define the right-hand-side of the constraint using the supplied operator.
    `QueryBuilder.ConstraintBuilder` | `is(Operator operator, Subquery subquery)` Define the right-hand-side of the constraint using the supplied operator.
    `QueryBuilder.LowerBoundary` | `isBetween()` Define the constraint as a range between a lower boundary and an upper boundary.
    `QueryBuilder.ConstraintBuilder` | `isBetween(Object lowerBoundLiteral, Object upperBoundLiteral)` Define the right-hand-side of the constraint using the supplied operator.
    `QueryBuilder.RightHandSide` | `isEqualTo()` Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
    `QueryBuilder.ConstraintBuilder` | `isEqualTo(Object literalOrSubquery)` Define the right-hand-side of the constraint to be equivalent to the supplied literal value.
    `QueryBuilder.ConstraintBuilder` | `isEqualToVariable(String variableName)` Define the right-hand-side of the constraint to be equivalent to the value of the supplied variable.
    `QueryBuilder.RightHandSide` | `isGreaterThan()` Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
    `QueryBuilder.ConstraintBuilder` | `isGreaterThan(Object literalOrSubquery)` Define the right-hand-side of the constraint to be greater than the supplied literal value.
    `QueryBuilder.RightHandSide` | `isGreaterThanOrEqualTo()` Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
    `QueryBuilder.ConstraintBuilder` | `isGreaterThanOrEqualTo(Object literalOrSubquery)` Define the right-hand-side of the constraint to be greater than or equal to the supplied literal value.
    `QueryBuilder.ConstraintBuilder` | `isGreaterThanOrEqualToVariable(String variableName)` Define the right-hand-side of the constraint to be greater than or equal to the value of the supplied variable.
    `QueryBuilder.ConstraintBuilder` | `isGreaterThanVariable(String variableName)` Define the right-hand-side of the constraint to be greater than the value of the supplied variable.
    `QueryBuilder.ConstraintBuilder` | `isIn(Iterable<Object> literals)`
    `QueryBuilder.ConstraintBuilder` | `isIn(Object... literals)`
    `QueryBuilder.ConstraintBuilder` | `isInSubquery(QueryCommand subquery)`
    `QueryBuilder.ConstraintBuilder` | `isInSubquery(Subquery subquery)`
    `QueryBuilder.RightHandSide` | `isLessThan()` Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
    `QueryBuilder.ConstraintBuilder` | `isLessThan(Object literalOrSubquery)` Define the right-hand-side of the constraint to be less than the supplied literal value.
    `QueryBuilder.RightHandSide` | `isLessThanOrEqualTo()` Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
    `QueryBuilder.ConstraintBuilder` | `isLessThanOrEqualTo(Object literalOrSubquery)` Define the right-hand-side of the constraint to be less than or equal to the supplied literal value.
    `QueryBuilder.ConstraintBuilder` | `isLessThanOrEqualToVariable(String variableName)` Define the right-hand-side of the constraint to be less than or equal to the value of the supplied variable.
    `QueryBuilder.ConstraintBuilder` | `isLessThanVariable(String variableName)` Define the right-hand-side of the constraint to be less than the value of the supplied variable.
    `QueryBuilder.RightHandSide` | `isLike()` Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
    `QueryBuilder.ConstraintBuilder` | `isLike(Object literalOrSubquery)` Define the right-hand-side of the constraint to be LIKE the supplied literal value.
    `QueryBuilder.ConstraintBuilder` | `isLikeVariable(String variableName)` Define the right-hand-side of the constraint to be LIKE the value of the supplied variable.
    `QueryBuilder.RightHandSide` | `isNotEqualTo()` Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
    `QueryBuilder.ConstraintBuilder` | `isNotEqualTo(Object literalOrSubquery)` Define the right-hand-side of the constraint to be not equal to the supplied literal value.
    `QueryBuilder.ConstraintBuilder` | `isNotEqualToVariable(String variableName)` Define the right-hand-side of the constraint to be not equal to the value of the supplied variable.
    `QueryBuilder.ConstraintBuilder` | `isVariable(Operator operator, String variableName)` Define the right-hand-side of the constraint using the supplied operator.
    `QueryBuilder.ArithmeticBuilder` | `minus()` Create a comparison object based upon the subtraction of the next `DynamicOperand` (created using the builder returned from this method) from the the previously-constructed DynamicOperand to be created with the supplied builder.
    `QueryBuilder.ArithmeticBuilder` | `plus()` Create a comparison object based upon the addition of the previously-constructed `DynamicOperand` and the next DynamicOperand to be created with the supplied builder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### left

          protected final DynamicOperand left

    - #### constraintBuilder

          protected final QueryBuilder.ConstraintBuilder constraintBuilder

  - ### Constructor Detail

    - #### QueryBuilder.ComparisonBuilder

          protected QueryBuilder.ComparisonBuilder(QueryBuilder.ConstraintBuilder constraintBuilder,
                                        DynamicOperand left)

  - ### Method Detail

    - #### isInSubquery

          public QueryBuilder.ConstraintBuilder isInSubquery(QueryCommand subquery)

    - #### isInSubquery

          public QueryBuilder.ConstraintBuilder isInSubquery(Subquery subquery)

    - #### isIn

          public QueryBuilder.ConstraintBuilder isIn(Object... literals)

    - #### isIn

          public QueryBuilder.ConstraintBuilder isIn(Iterable<Object> literals)

    - #### plus

          public QueryBuilder.ArithmeticBuilder plus()

      Create a comparison object based upon the addition of the previously-constructed `DynamicOperand` and the next DynamicOperand to be created with the supplied builder.
      Returns:
        the builder that should be used to create the right-hand-side of the operation; never null

    - #### minus

          public QueryBuilder.ArithmeticBuilder minus()

      Create a comparison object based upon the subtraction of the next `DynamicOperand` (created using the builder returned from this method) from the the previously-constructed DynamicOperand to be created with the supplied builder.
      Returns:
        the builder that should be used to create the right-hand-side of the operation; never null

    - #### is

          public QueryBuilder.RightHandSide is(Operator operator)

      Define the operator that will be used in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
      Parameters:
        `operator` - the operator; may not be null
      Returns:
        the interface used to define the right-hand-side of the comparison

    - #### isEqualTo

          public QueryBuilder.RightHandSide isEqualTo()

      Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
      Returns:
        the interface used to define the right-hand-side of the comparison

    - #### isNotEqualTo

          public QueryBuilder.RightHandSide isNotEqualTo()

      Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
      Returns:
        the interface used to define the right-hand-side of the comparison

    - #### isGreaterThan

          public QueryBuilder.RightHandSide isGreaterThan()

      Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
      Returns:
        the interface used to define the right-hand-side of the comparison

    - #### isGreaterThanOrEqualTo

          public QueryBuilder.RightHandSide isGreaterThanOrEqualTo()

      Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
      Returns:
        the interface used to define the right-hand-side of the comparison

    - #### isLessThan

          public QueryBuilder.RightHandSide isLessThan()

      Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
      Returns:
        the interface used to define the right-hand-side of the comparison

    - #### isLessThanOrEqualTo

          public QueryBuilder.RightHandSide isLessThanOrEqualTo()

      Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
      Returns:
        the interface used to define the right-hand-side of the comparison

    - #### isLike

          public QueryBuilder.RightHandSide isLike()

      Use the 'equal to' operator in the comparison, returning an interface that can be used to define the right-hand-side of the comparison.
      Returns:
        the interface used to define the right-hand-side of the comparison

    - #### isVariable

          public QueryBuilder.ConstraintBuilder isVariable(Operator operator,
                                                  String variableName)

      Define the right-hand-side of the constraint using the supplied operator.
      Parameters:
        `operator` - the operator; may not be null
        `variableName` - the name of the variable
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### is

          public QueryBuilder.ConstraintBuilder is(Operator operator,
                                          QueryCommand subquery)

      Define the right-hand-side of the constraint using the supplied operator.
      Parameters:
        `operator` - the operator; may not be null
        `subquery` - the subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### is

          public QueryBuilder.ConstraintBuilder is(Operator operator,
                                          Subquery subquery)

      Define the right-hand-side of the constraint using the supplied operator.
      Parameters:
        `operator` - the operator; may not be null
        `subquery` - the subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### is

          public QueryBuilder.ConstraintBuilder is(Operator operator,
                                          Object literalOrSubquery)

      Define the right-hand-side of the constraint using the supplied operator.
      Parameters:
        `operator` - the operator; may not be null
        `literalOrSubquery` - the literal value or subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### adapt

          protected StaticOperand adapt(Object literalOrSubquery)

    - #### isBetween

          public QueryBuilder.ConstraintBuilder isBetween(Object lowerBoundLiteral,
                                                 Object upperBoundLiteral)

      Define the right-hand-side of the constraint using the supplied operator.
      Parameters:
        `lowerBoundLiteral` - the literal value that represents the lower bound of the range (inclusive); may be a subquery
        `upperBoundLiteral` - the literal value that represents the upper bound of the range (inclusive); may be a subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isEqualToVariable

          public QueryBuilder.ConstraintBuilder isEqualToVariable(String variableName)

      Define the right-hand-side of the constraint to be equivalent to the value of the supplied variable.
      Parameters:
        `variableName` - the name of the variable
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isGreaterThanVariable

          public QueryBuilder.ConstraintBuilder isGreaterThanVariable(String variableName)

      Define the right-hand-side of the constraint to be greater than the value of the supplied variable.
      Parameters:
        `variableName` - the name of the variable
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isGreaterThanOrEqualToVariable

          public QueryBuilder.ConstraintBuilder isGreaterThanOrEqualToVariable(String variableName)

      Define the right-hand-side of the constraint to be greater than or equal to the value of the supplied variable.
      Parameters:
        `variableName` - the name of the variable
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isLessThanVariable

          public QueryBuilder.ConstraintBuilder isLessThanVariable(String variableName)

      Define the right-hand-side of the constraint to be less than the value of the supplied variable.
      Parameters:
        `variableName` - the name of the variable
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isLessThanOrEqualToVariable

          public QueryBuilder.ConstraintBuilder isLessThanOrEqualToVariable(String variableName)

      Define the right-hand-side of the constraint to be less than or equal to the value of the supplied variable.
      Parameters:
        `variableName` - the name of the variable
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isLikeVariable

          public QueryBuilder.ConstraintBuilder isLikeVariable(String variableName)

      Define the right-hand-side of the constraint to be LIKE the value of the supplied variable.
      Parameters:
        `variableName` - the name of the variable
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isNotEqualToVariable

          public QueryBuilder.ConstraintBuilder isNotEqualToVariable(String variableName)

      Define the right-hand-side of the constraint to be not equal to the value of the supplied variable.
      Parameters:
        `variableName` - the name of the variable
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isEqualTo

          public QueryBuilder.ConstraintBuilder isEqualTo(Object literalOrSubquery)

      Define the right-hand-side of the constraint to be equivalent to the supplied literal value.
      Parameters:
        `literalOrSubquery` - the literal value or a subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isGreaterThan

          public QueryBuilder.ConstraintBuilder isGreaterThan(Object literalOrSubquery)

      Define the right-hand-side of the constraint to be greater than the supplied literal value.
      Parameters:
        `literalOrSubquery` - the literal value or a subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isGreaterThanOrEqualTo

          public QueryBuilder.ConstraintBuilder isGreaterThanOrEqualTo(Object literalOrSubquery)

      Define the right-hand-side of the constraint to be greater than or equal to the supplied literal value.
      Parameters:
        `literalOrSubquery` - the literal value or a subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isLessThan

          public QueryBuilder.ConstraintBuilder isLessThan(Object literalOrSubquery)

      Define the right-hand-side of the constraint to be less than the supplied literal value.
      Parameters:
        `literalOrSubquery` - the literal value or a subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isLessThanOrEqualTo

          public QueryBuilder.ConstraintBuilder isLessThanOrEqualTo(Object literalOrSubquery)

      Define the right-hand-side of the constraint to be less than or equal to the supplied literal value.
      Parameters:
        `literalOrSubquery` - the literal value or a subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isLike

          public QueryBuilder.ConstraintBuilder isLike(Object literalOrSubquery)

      Define the right-hand-side of the constraint to be LIKE the supplied literal value.
      Parameters:
        `literalOrSubquery` - the literal value or a subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isNotEqualTo

          public QueryBuilder.ConstraintBuilder isNotEqualTo(Object literalOrSubquery)

      Define the right-hand-side of the constraint to be not equal to the supplied literal value.
      Parameters:
        `literalOrSubquery` - the literal value or a subquery
      Returns:
        the builder used to create the constraint clause, ready to be used to create other constraints clauses or complete already-started clauses; never null

    - #### isBetween

          public QueryBuilder.LowerBoundary isBetween()

      Define the constraint as a range between a lower boundary and an upper boundary.
      Returns:
        the interface used to specify the lower boundary boundary, the upper boundary, and which will return the builder interface; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.